---
title: mask-border-repeat
slug: Web/CSS/mask-border-repeat
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Experimental
  - NeedsCompatTable
  - NeedsExample
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>mask-border-repeat</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets how the <a href="/en-US/docs/Web/CSS/border-image-slice#edge-regions">edge regions</a> of a source image are adjusted to fit the dimensions of an element's <a href="/en-US/docs/Web/CSS/mask-border">mask border</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* Keyword value */
mask-border-repeat: stretch;
mask-border-repeat: repeat;
mask-border-repeat: round;
mask-border-repeat: space;

/* vertical | horizontal */
mask-border-repeat: round stretch;

/* Global values */
mask-border-repeat: inherit;
mask-border-repeat: initial;
mask-border-repeat: unset;
</pre>

<p>The <code>mask-border-repeat</code> property may be specified using one or two values chosen from the list of values below.</p>

<ul>
 <li>When <strong>one</strong> value is specified, it applies the same behavior on <strong>all four sides</strong>.</li>
 <li>When <strong>two</strong> values are specified, the first applies to the <strong>top and bottom</strong>, the second to the <strong>left and right</strong>.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>stretch</code></dt>
 <dd>The source image's edge regions are stretched to fill the gap between each border.</dd>
 <dt><code>repeat</code></dt>
 <dd>The source image's edge regions are tiled (repeated) to fill the gap between each border. Tiles may be clipped to achieve the proper fit.</dd>
 <dt><code>round</code></dt>
 <dd>The source image's edge regions are tiled (repeated) to fill the gap between each border. Tiles may be stretched to achieve the proper fit.</dd>
 <dt><code>space</code></dt>
 <dd>The source image's edge regions are tiled (repeated) to fill the gap between each border. Extra space will be distributed in between tiles to achieve the proper fit.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage">Basic usage</h3>

<p>This property doesn't appear to be supported anywhere yet. When it eventually starts to be supported, it will serve to define how the border mask slice will repeat around the border — i.e. will it just repeat, or be scaled slightly so a whole number of slices fits, or be stretched so one slice fits?</p>

<pre class="brush: css notranslate">mask-border-repeat: round;</pre>

<p>Chromium-based browsers support an outdated version of this property — <code>mask-box-image-repeat</code> — with a prefix:</p>

<pre class="brush: css notranslate">-webkit-mask-box-image-repeat: round;</pre>

<div class="notecard note">
<p><strong>Note</strong>: The <code><a href="/en-US/docs/Web/CSS/mask-border">mask-border</a></code> page features a working example (using the out-of-date prefixed border mask properties supported in Chromium), so you can get an idea of the effect.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Masks", "#propdef-mask-border-repeat", "mask-border-repeat")}}</td>
   <td>{{Spec2("CSS Masks")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.mask-border-repeat")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li>{{cssxref("mask-border")}}</li>
  <li>{{cssxref("mask-border-mode")}}</li>
  <li>{{cssxref("mask-border-outset")}}</li>
  <li>{{cssxref("mask-border-source")}}</li>
  <li>{{cssxref("mask-border-width")}}</li>
</ul>
